---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: discord-ws-dpl
spec:
  selector:
    matchLabels:
      app: discord-ws
  template:
    metadata:
      labels:
        app: discord-ws
    spec:
      containers:
        - name: discord-ws
          image: liscioapps/sphere-backend:latest
          workingDir: /usr/crowd/app/backend
          command: ['npm']
          args: ['run', 'start:discord-ws']
          envFrom:
            - configMapRef:
                name: backend-config
          env:
            - name: SERVICE
              value: discord-ws
          ports:
            - containerPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: discord-ws-svc
spec:
  type: ClusterIP
  selector:
    app: discord-ws
  ports:
    - port: 8080
      targetPort: 8080
